local obj, objContacted = ...

local ActionHelper = include("ActionHelper")
local destroyObj = false

obj:killPhysics()

local xPos = math.floor(obj:x())
local yPos = math.floor(obj:y())
local ballPosX = math.floor(objContacted:x())
local ballPosY = math.floor(objContacted:y())
--print "using Magnet"
local incAmount = 2.0
local delDis = 75.0

if((xPos < ballPosX-delDis or xPos > ballPosX+delDis) and (yPos < ballPosX-delDis or yPos > ballPosX+delDis)) then
	coroutine.yield({
		game.engineReceiver(), 
		game.M_MsgUpdate_GetMsgTypeId(),
		function(msg) 
			if( destroyObj == false ) then
				--print "moving coins towards ball"
				if(xPos ~= ballPosX or yPos ~= ballPosY) then
					
					if( xPos < ballPosX ) then
						xPos = xPos + incAmount
						if( xPos > ballPosX ) then
							xPos = ballPosX
						end
					elseif( xPos > ballPosX ) then
						xPos = xPos - incAmount
						if( xPos < ballPosX ) then
							xPos = ballPosX
						end
					end
					
					if( yPos < ballPosY ) then
						yPos = yPos + incAmount
						if( yPos > ballPosY ) then
							yPos = ballPosY
						end
					elseif( yPos > ballPosY ) then
						yPos = yPos - incAmount
						if( yPos < ballPosY ) then
							yPos = ballPosY
						end
					end
							
					--print ("objx: "..xPos.." objy: "..yPos)
					--print ("ballx: "..ballPosX.." bally: "..ballPosY)
					if( xPos == ballPosX and yPos == ballPosY ) then
						destroyObj = true
						game.playSfx("audio/sfx/collect_coin.wav")
						return true
					else
						obj:setPos( xPos, yPos )
					
						xPos = math.floor(obj:x())
						yPos = math.floor(obj:y())
						ballPosX = math.floor(objContacted:x())
						ballPosY = math.floor(objContacted:y())
						incAmount = incAmount + 2.0
					end
				else
					destroyObj = true
					game.playSfx("audio/sfx/collect_coin.wav")
					return true
				end
			end
		end
	})
end


game.gameReceiver():Send(game.MsgPickupCollected("Coin", obj))
game.GetGameWorld():destroyGameObject(obj)
	
