local obj = ...
local ActionHelper = include("ActionHelper")

local menuScale = game.menuScale()

local px = game.windowSizeX() * 0.5
local py = -64*menuScale

local obj2, objectB, objectU, objectS, objectT, objectE, objectR

local basePriority = 50

obj2 = game.GetGameWorld():createGameObject("GameObject");
obj2:setTag("NotificationMessage")
obj2:setPos( px, py )

objectB = game.GetGameWorld():createGameObject("GameObject");
objectB:setParent(obj2)

objectU = game.GetGameWorld():createGameObject("GameObject");
objectU:setParent(obj2)

objectS = game.GetGameWorld():createGameObject("GameObject");
objectS:setParent(obj2)

objectT = game.GetGameWorld():createGameObject("GameObject");
objectT:setParent(obj2)

objectE = game.GetGameWorld():createGameObject("GameObject");
objectE:setParent(obj2)

objectR = game.GetGameWorld():createGameObject("GameObject");
objectR:setParent(obj2)

local gfx2 = obj2:addSpriteSheet( "xml_resources/sprite_menu.xml", "box_thin", 0, 0, 1*menuScale, 1.5*menuScale )
gfx2:SetLayerByName("HUD")
gfx2:SetPriority(basePriority )
gfx2:center()

local text = "B"

local startX = -gfx2:width()*0.5*menuScale + 90*menuScale
local offsetX = 35*menuScale
local gfx = objectB:addSpriteSheet("xml_resources/bb_icons.xml", "letter_b", startX, 0, 0.5*menuScale, 0.5*menuScale )
gfx:SetLayerByName("HUD")
gfx:SetPriority(basePriority-1)
gfx:center()
objectB:setAlpha(0.5)

startX = startX + offsetX
text = "U"
gfx = objectU:addSpriteSheet("xml_resources/bb_icons.xml", "letter_u", startX, 0, 0.5*menuScale, 0.5*menuScale )
gfx:SetLayerByName("HUD")
gfx:SetPriority(basePriority-1)
gfx:center()
objectU:setAlpha(0.5)

startX = startX + offsetX
text = "S"
gfx = objectS:addSpriteSheet("xml_resources/bb_icons.xml", "letter_s", startX, 0, 0.5*menuScale, 0.5*menuScale )
gfx:SetLayerByName("HUD")
gfx:SetPriority(basePriority-1)
gfx:center()
objectS:setAlpha(0.5)

startX = startX + offsetX
text = "T"
gfx = objectT:addSpriteSheet("xml_resources/bb_icons.xml", "letter_t", startX, 0, 0.5*menuScale, 0.5*menuScale )
gfx:SetLayerByName("HUD")
gfx:SetPriority(basePriority-1)
gfx:center()
objectT:setAlpha(0.5)

startX = startX + offsetX
text = "E"
gfx = objectE:addSpriteSheet("xml_resources/bb_icons.xml", "letter_e", startX, 0, 0.5*menuScale, 0.5*menuScale )
gfx:SetLayerByName("HUD")
gfx:SetPriority(basePriority-1)
gfx:center()
objectE:setAlpha(0.5)

startX = startX + offsetX
text = "R"
gfx = objectR:addSpriteSheet("xml_resources/bb_icons.xml", "letter_r", startX, 0, 0.5*menuScale, 0.5*menuScale )
gfx:SetLayerByName("HUD")
gfx:SetPriority(basePriority-1)
gfx:center()
objectR:setAlpha(0.5)

local collectedLetters = game.getLettersCollected()
for i = 0, collectedLetters:size()-1, 1 do
	if( collectedLetters[i] == "B" ) then
		objectB:setAlpha(1.0)
	elseif( collectedLetters[i] == "U" ) then
		objectU:setAlpha(1.0)
	elseif( collectedLetters[i] == "S" ) then
		objectS:setAlpha(1.0)
	elseif( collectedLetters[i] == "T" ) then
		objectT:setAlpha(1.0)
	elseif( collectedLetters[i] == "E" ) then
		objectE:setAlpha(1.0)
	elseif( collectedLetters[i] == "R" ) then
		objectR:setAlpha(1.0)
	end
end

local action = obj2:movePosition( 0, 90*menuScale, 0.5, lua_sys.Back_EASEOUT )
action:start()
ActionHelper.waitForAction(action)

action = obj2:wait(1.5)
action:start()
ActionHelper.waitForAction(action)

action = obj2:movePosition( 0, -100*menuScale, 0.5, lua_sys.Back_EASEIN )
action:start()
ActionHelper.waitForAction(action)

game.GetGameWorld():destroyGameObject(obj2)
game.gameReceiver():Send(game.MsgContinueGame())
--game.GetGameWorld():destroyGameObject(obj)


	




