local obj = ...
local ActionHelper = include("ActionHelper")
local px = game.windowSizeX() * 0.5
local py = game.windowSizeY()
local action = nil
local fadeOut = true
local menuScale = game.menuScale()

print "Fast Forward Message"
obj:setPos( px, py )

local text = game.getLocalizedText("FAST_FORWARD")

local gfx = obj:addTextRaster( game.getDescriptionFont(), text, 0, 0, 0.5*menuScale, 0.5*menuScale )
gfx:SetLayerByName("HUD")
gfx:SetPriority(150)
gfx:center()

action = obj:movePosition( 0,  -20*menuScale, 0.5, lua_sys.Back_EASEOUT )
action:start()
ActionHelper.waitForAction(action)

action = obj:wait(1.0)
action:start()
ActionHelper.waitForAction(action)

action = obj:movePosition( 0, lua_sys.screenHeight() * 0.5, 0.5, lua_sys.Back_EASEIN )
action:start()
ActionHelper.waitForAction(action)




