local obj = ...

local gfx = obj:addAEAnim("xml_bin/anim_pickup.bin")
gfx:SetLayerByName("OBJECTS")
gfx:SetPriority(46)
gfx:center()	
gfx:setAnimation("pickup_ticket")

local ActionHelper = include("ActionHelper")

local function waitOnCollisionWorld()

	coroutine.yield({
		obj, 
		game.M_MsgGameObjectContact_GetMsgTypeId(),
		function(msg) 
			return msg.shapeB == "WORLD_LEFT"
		end })
		
	game.GetGameWorld():destroyGameObject(obj)
	
end

RunCoroutine( waitOnCollisionWorld )

coroutine.yield({
	obj, 
	game.M_MsgGameObjectContact_GetMsgTypeId(),
	function(msg)
		return msg.shapeB == "HERO"
	end })

game.gameReceiver():Send(game.MsgPickupCollected("Ticket", obj))
game.GetGameWorld():destroyGameObject(obj)
