local obj = ...
local ActionHelper = include("ActionHelper")
local px = game.windowSizeX() * 0.5
local py = -64
local action = nil
local pause = false

local menuScale = game.menuScale()

print "Turn Indicator"
obj:setPos( px, py )

local text
if game.playersTurn() then
	text = game.getLocalizedText("PLAYERS_TURN")
else
	text = game.getLocalizedText("CHALLENGERS_TURN")
end

local gfx = obj:addTextRaster( game.getMidSizeFont(), text, 0, 0, 0.75*menuScale, 0.75*menuScale )
gfx:SetLayerByName("HUD")
gfx:SetPriority(150)
gfx:center()

game.playSfx("audio/sfx/woosh2.wav")
action = obj:movePosition( 0, (lua_sys.screenHeight()+gfx:height())* 0.5, 0.5, lua_sys.Back_EASEOUT )
action:start()
ActionHelper.waitForAction(action)

action = obj:wait(0.5)
action:start()
ActionHelper.waitForAction(action)

--only hide the turn message if its the player's turn
if game.playersTurn() then
	action = obj:movePosition( 0, -lua_sys.screenHeight() * 0.5, 0.5, lua_sys.Back_EASEIN )
	action:start()
	ActionHelper.waitForAction(action)
	game.playSfx("audio/sfx/woosh2.wav")
end

game.gameReceiver():Send(game.MsgContinueGame())



