
local obj = ...
local ActionHelper = include("ActionHelper")
local px = game.windowSizeX() * 0.5
local py = game.windowSizeY() * 0.5
local action = nil
local action2 = nil
local pause = false
local timer = 3;
local menuScale = game.menuScale()

print "Count Down Timer"
obj:setPos( px, py )

while timer > 0 do
	print ("timer"..timer)
	local gfx = obj:addTextRaster( game.getMidSizeFont(), timer, 0, 0, 1*menuScale, 1*menuScale )
	gfx:SetLayerByName("HUD")
	gfx:SetPriority(150)
	gfx:center()

	action = obj:moveAlpha( -1.0, 0.5, lua_sys.Quadratic_EASEOUT )
	action:start()
	
	action2 = obj:moveScale( 2.0, 2.0, 0.7, lua_sys.Quadratic_EASEOUT )
	action2:start()
	ActionHelper.waitForAction(action)
	ActionHelper.waitForAction(action2)
	
	obj:removeGfx(gfx)
	obj:setAlpha(1.0)
	obj:setScale(1.0, 1.0)
	
	timer = timer-1
	
end

game.gameReceiver():Send(game.MsgContinueGame())



